resource-governance
Operations of the Resource Governance API. Paths are relative to your deployment's API host.
GET /api/resource-governance-api/resources/definitions
List resource definitions used by accounting data
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
cursor | query | string | no | |
key | query | string | no | |
lifecycle | query | one of "active", "retired" | no | |
limit | query | number | no | Items per page. |
| Status | Description | Body |
|---|---|---|
| 200 | application/json ResourceDefinitionDtoPaginatedEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
GET /api/resource-governance-api/resources/inventory
List the active organization's current and retired inventory
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
cursor | query | string | no | |
definitionKey | query | string | no | |
lifecycle | query | one of "present", "retired" | no | |
limit | query | number | no | Items per page. |
| Status | Description | Body |
|---|---|---|
| 200 | application/json InventoryItemDtoPaginatedEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
GET /api/resource-governance-api/resources/summary
Read the active organization's accounting summary
Authentication: bearer token (Authorization: Bearer <token>)
| Status | Description | Body |
|---|---|---|
| 200 | application/json OrgResourceSummaryDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
GET /api/resource-governance-api/resources/usage
List the active organization's immutable usage and corrections
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
cursor | query | string | no | |
definitionKey | query | string | no | |
limit | query | number | no | Items per page. |
| Status | Description | Body |
|---|---|---|
| 200 | application/json UsageItemDtoPaginatedEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |